# Uses of Enum
org.jboss.classfilewriter.annotations.ParameterAnnotationsAttribute.Type

Packages that use ParameterAnnotationsAttribute.Type
Package
Description
org.jboss.classfilewriter.annotations

## Uses of ParameterAnnotationsAttribute.Type in org.jboss.classfilewriter.annotations

Methods in org.jboss.classfilewriter.annotations that return ParameterAnnotationsAttribute.Type
Modifier and Type
Method
Description
`static ParameterAnnotationsAttribute.Type`
ParameterAnnotationsAttribute.Type.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ParameterAnnotationsAttribute.Type[]`
ParameterAnnotationsAttribute.Type.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Constructors in org.jboss.classfilewriter.annotations with parameters of type ParameterAnnotationsAttribute.Type
Modifier
Constructor
Description
``
`ParameterAnnotationsAttribute(ParameterAnnotationsAttribute.Type type, ConstPool constPool, int noParameters)`